Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::axis_aligned_bounding_box Class Reference

An axis-aligned bounding box. More...

Inheritance diagram for openvrml::axis_aligned_bounding_box:
[legend]

List of all members.

## Public Member Functions

virtual | ~axis_aligned_bounding_box () throw ()
| Destroy.

## Private Member Functions

virtual void | do_maximize ()
| Implement me!
virtual bool | do_maximized () const
| Implement me!
virtual intersection | do_intersect_frustum (const openvrml::frustum &frustum) const
virtual void | do_extend (const vec3f &p)
virtual void | do_extend (const axis_aligned_bounding_box &b)
virtual void | do_extend (const bounding_sphere &b)
virtual void | do_enclose (const std::vector< vec3f > &points)
| Enclose the given set of points.
virtual void | do_ortho_transform (const mat4f &M)
| Implement me!
virtual void | do_transform (const mat4f &M)
| Implement me!

## Detailed Description

An axis-aligned bounding box.

## Constructor & Destructor Documentation

openvrml::axis_aligned_bounding_box::~axis_aligned_bounding_box | ( |  | ) | throw ()`[virtual]`

Destroy.

## Member Function Documentation

void openvrml::axis_aligned_bounding_box::do_maximize | ( |  | ) | `[private, virtual]`

Implement me!

Implements openvrml::bounding_volume.

bool openvrml::axis_aligned_bounding_box::do_maximized | ( |  | ) | const`[private, virtual]`

Implement me!

Implements openvrml::bounding_volume.

openvrml::bounding_volume::intersection openvrml::axis_aligned_bounding_box::do_intersect_frustum | ( | const openvrml::frustum & | frustum | ) | const`[private, virtual]`

Implements openvrml::bounding_volume.

void openvrml::axis_aligned_bounding_box::do_extend | ( | const vec3f & | p | ) | `[private, virtual]`

Implements openvrml::bounding_volume.

void openvrml::axis_aligned_bounding_box::do_extend | ( | const axis_aligned_bounding_box & | b | ) | `[private, virtual]`

void openvrml::axis_aligned_bounding_box::do_extend | ( | const bounding_sphere & | b | ) | `[private, virtual]`

Implements openvrml::bounding_volume.

void openvrml::axis_aligned_bounding_box::do_enclose | ( | const std::vector< vec3f > & | points | ) | `[private, virtual]`

Enclose the given set of points.

This resets the volume from any previous values.

Parameters:

  `[in]` | points | points.

Implements openvrml::bounding_volume.

void openvrml::axis_aligned_bounding_box::do_ortho_transform | ( | const mat4f & | M | ) | `[private, virtual]`

Implement me!

Implements openvrml::bounding_volume.

void openvrml::axis_aligned_bounding_box::do_transform | ( | const mat4f & | M | ) | `[private, virtual]`

Implement me!

Implements openvrml::bounding_volume.